Retrieve a Project

Retrieve a Project

get

This endpoint allows you to retrieve a Project by providing the Project type (n or t) and Project ID.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
transferablestringRequired

Value must be either 't' for transferable or 'n' for non-transferable

projectIdintegerRequired
Query parameters
pagenumber · nullableOptional
limitnumber · max: 100 · nullableOptional
sortBystringOptional
orderBystring · enumOptionalPossible values:
Responses
chevron-right
200

Returns a Project with a paginated list of NFTs

application/json
namestringRequired

Name stored as on-chain metadata

Example: NFT #1
symbolstringOptional

Symbol stored as on-chain metadata

Example: NFT
descriptionstringOptional

Description stored in the metadata

Example: This is my first NFT
imagestringRequired

Image URL for your NFT

Example: https://example.com/image.png
animationUrlstringOptional

Animation URL for your NFT

Example: https://example.com/animation.mp4
idnumberRequired

Unique ID for a Project

mintAddressstringRequired

Address for the NFT's or token's mint account

Example: EBeLw5jEdrEgDe17BdKGW2MizzGxtxigEuAGvYC7VzDpPattern: ^[A-HJ-NP-Za-km-z1-9]*$
transferablebooleanRequired

Whether or not the NFTs in this project can be transferred

statusstringRequired
get
/v2/projects/:transferable/:projectId

Example

curl --location --request GET 'https://dev.underdogprotocol.com/v2/projects/n/4' \
--header 'Authorization: Bearer {token}'

Last updated